# propka.output

## Output

Output routines.

Functions

`get_bond_order`(atom1, atom2) | Get the order of a bond between two atoms.
`get_charge_profile_section`(protein[, ...]) | Returns string with the charge profile section of the results.
`get_determinant_section`(protein, ...) | Returns string with determinant section of results.
`get_determinants_header`() | Create the Determinant header.
`get_folding_profile_section`(protein[, ...]) | Returns string with the folding profile section of the results.
`get_propka_header`() | Create the header.
`get_references_header`() | Create the 'references' part of output file.
`get_summary_header`() | Create the summary header.
`get_summary_section`(protein, conformation, ...) | Returns string with summary section of the results.
`get_the_line`() | Draw the line-Johnny Cash would have been proud-or actually Aerosmith!
`get_warning_header`() | Create the 'warning' part of the output file.
`make_interaction_map`(name, list_, interaction) | Print out an interaction map named 'name' of the groups in 'list' based on the function 'interaction'
`open_file_for_writing`(input_file) | Open file or file-like stream for writing.
`print_header`() | Print header section of output.
`print_pka_section`(protein, conformation, ...) | Prints out pKa section of results.
`print_result`(protein, conformation, parameters) | Prints all resulting output from determinants and down.
`print_tm_profile`(protein[, reference, ...]) | Print Tm profile.
`write_file`(filename, lines) | Writes a new file.
`write_jackal_scap_file`([mutation_data, ...]) | Write a scap file for, i.e., generating a mutated protein
`write_mol2_for_atoms`(atoms, filename) | Write out MOL2 file for atoms.
`write_pdb_for_atoms`(atoms, filename[, ...]) | Write out PDB file for atoms.
`write_pdb_for_conformation`(conformation, ...) | Write PDB conformation to a file.
`write_pdb_for_protein`(protein[, pdbfile, ...]) | Write a residue to the new PDB file.
`write_pka`(protein, parameters[, filename, ...]) | Write the pKa-file based on the given protein.
`write_scwrl_sequence_file`(sequence[, ...]) | Write a scwrl sequence file for, e.g., generating a mutated protein

propka.output.get_bond_order(atom1, atom2)

  Get the order of a bond between two atoms.

  Parameters:

    - atom1 – first atom in bond

    - atom2 – second atom in bond

  Returns:

    string with bond type

propka.output.get_charge_profile_section(protein, conformation='AVR', _=None)

  Returns string with the charge profile section of the results.

  Parameters:

    - protein – protein object

    - conformation – specific conformation

    - _ – options object

  Returns:

    string

propka.output.get_determinant_section(protein: MolecularContainer, conformation: str, parameters: Parameters)

  Returns string with determinant section of results.

  Parameters:

    - protein – protein object

    - conformation – specific conformation

    - parameters – parameters

  Returns:

    string

propka.output.get_determinants_header()

  Create the Determinant header.

  Returns:

    string

propka.output.get_folding_profile_section(protein: MolecularContainer, conformation='AVR', direction='folding', reference='neutral', window=[0.0, 14.0, 1.0], _=False, __=None)

  Returns string with the folding profile section of the results.

  Parameters:

    - protein – protein object

    - conformation – specific conformation

    - direction – ‘folding’ or other

    - reference – reference state

    - window – pH window [min, max, step]

    - _ – Boolean for verbose output

    - __ – options object

  Returns:

    string

propka.output.get_propka_header()

  Create the header.

  Returns:

    string

propka.output.get_references_header()

  Create the ‘references’ part of output file.

  Returns:

    string

propka.output.get_summary_header()

  Create the summary header.

  Returns:

    string

propka.output.get_summary_section(protein: MolecularContainer, conformation: str, parameters: Parameters)

  Returns string with summary section of the results.

  Parameters:

    - protein – protein object

    - conformation – specific conformation

    - parameters – parameters

  Returns:

    string

propka.output.get_the_line()

  Draw the line-Johnny Cash would have been proud-or actually Aerosmith!

  NOTE - Johnny Cash walked the line.

  Returns:

    string

propka.output.get_warning_header()

  Create the ‘warning’ part of the output file.

  TODO - this function is essentially a no-op.

  Returns:

    string

propka.output.make_interaction_map(name, list_, interaction)

  Print out an interaction map named ‘name’ of the groups in ‘list’ based on the function ‘interaction’

  Parameters:

    - list – list of groups

    - interaction – some sort of function

  Returns:

    string

propka.output.open_file_for_writing(input_file: IO[str] | PathLike | str) → IO[str]

  Open file or file-like stream for writing.

  TODO - convert this to a context manager.

  Parameters:

    - input_file – path to file or file-like object. If file-like object,

    - mode. (then will attempt to get file) –

propka.output.print_header()

  Print header section of output.

propka.output.print_pka_section(protein: MolecularContainer, conformation: str, parameters: Parameters)

  Prints out pKa section of results.

  Parameters:

    - protein – protein object

    - conformation – specific conformation

    - parameters – parameters

propka.output.print_result(protein: MolecularContainer, conformation: str, parameters: Parameters)

  Prints all resulting output from determinants and down.

  Parameters:

    - protein – protein object

    - conformation – specific conformation

    - parameters – parameters

propka.output.print_tm_profile(protein: NoReturn, reference='neutral', window=[0.0, 14.0, 1.0], __=[0.0, 0.0], tms=None, ref=None, _=False, options=None)

  Print Tm profile.

  I think Tm refers to the denaturation temperature.

  Parameters:

    - protein – protein object

    - reference – reference state

    - window – pH window [min, max, step]

    - __ – temperature range [min, max]

    - tms – TODO - figure this out

    - ref – TODO - figure this out (probably reference state?)

    - _ – Boolean for verbosity

    - options – options object

propka.output.write_file(filename, lines)

  Writes a new file.

  Parameters:

    - filename – name of file

    - lines – lines to write to file

propka.output.write_jackal_scap_file(mutation_data=None, filename='1xxx_scap.list', _=None)

  Write a scap file for, i.e., generating a mutated protein

  TODO - figure out what this is

propka.output.write_mol2_for_atoms(atoms, filename)

  Write out MOL2 file for atoms.

  Parameters:

    - atoms – list of atoms

    - filename – name of file

propka.output.write_pdb_for_atoms(atoms: List[Atom], filename: PathLike | str, make_conect_section=False)

  Write out PDB file for atoms.

  Parameters:

    - atoms – list of atoms

    - filename – name of file

    - make_conect_section – generate a CONECT PDB section

propka.output.write_pdb_for_conformation(conformation: ConformationContainer, filename: PathLike | str)

  Write PDB conformation to a file.

  Parameters:

    - conformation – conformation container

    - filename – filename for output

propka.output.write_pdb_for_protein(protein, pdbfile=None, filename=None, include_hydrogens=False, _=None)

  Write a residue to the new PDB file.

  Parameters:

    - protein – protein object

    - pdbfile – PDB file

    - filename – file to write to

    - include_hydrogens – Boolean indicating whether to include hydrogens

    - options – options object

propka.output.write_pka(protein: MolecularContainer, parameters: Parameters, filename: PathLike | str | None = None, conformation='1A', reference='neutral', _='folding', verbose=False, __=None)

  Write the pKa-file based on the given protein.

  Parameters:

    - protein – protein object

    - filename – output file name

    - conformation – TODO - figure this out

    - reference – reference state

    - _ – “folding” or other

    - verbose – Boolean flag for verbosity

    - __ – options object

propka.output.write_scwrl_sequence_file(sequence, filename='x-ray.seq', _=None)

  Write a scwrl sequence file for, e.g., generating a mutated protein

  TODO - figure out what this is